<?php
// Skrypt należy do CoolPage.pl
// Autor: Dagger
	global $poziom_dostepu;

	if (!isset($_SESSION['u_login']) || !isset($_SESSION['u_poziom'])){
		$logged_in = 0;
		$poziom_dostepu = null;
		return;
	}else{
		if(!get_magic_quotes_gpc())	{
			$_SESSION['u_login'] = addslashes($_SESSION['u_login']);
		}
		$ile_check = null;

		$zapytanie = "SELECT SQL_CACHE id FROM ".$db_pref."uzytkownik WHERE id = '".$_SESSION['u_id']."' and login = '".$_SESSION['u_login']."' and poziom = '".$_SESSION['u_poziom']."' and stan>=1 LIMIT 1;";
		$wykonaj = mysql_query($zapytanie);
	    $ile_check = mysql_num_rows($wykonaj);

	    if($wykonaj and $ile_check>=1){
			$logged_in = 1;
			$poziom_dostepu = $_SESSION['u_poziom'];
		}else{
			$logged_in = 0;
			$poziom_dostepu = null;
			unset($_SESSION['u_login']);
			unset($_SESSION['u_id']);
			unset($_SESSION['u_poziom']);
		}
	}

	$ile_check = null;
	$_SESSION['u_login'] = stripslashes($_SESSION['u_login']);
?>